
package sklep.generated;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the sklep.generated package. 
 * &lt;p&gt;An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Foto_QNAME = new QName("http://soap.sklep/", "foto");
    private final static QName _FotoResponse_QNAME = new QName("http://soap.sklep/", "fotoResponse");
    private final static QName _OdczytajJedenProdukt_QNAME = new QName("http://soap.sklep/", "odczytajJedenProdukt");
    private final static QName _OdczytajJedenProduktResponse_QNAME = new QName("http://soap.sklep/", "odczytajJedenProduktResponse");
    private final static QName _OdczytajJednegoKlienta_QNAME = new QName("http://soap.sklep/", "odczytajJednegoKlienta");
    private final static QName _OdczytajJednegoKlientaResponse_QNAME = new QName("http://soap.sklep/", "odczytajJednegoKlientaResponse");
    private final static QName _OdczytajJednoZamowienie_QNAME = new QName("http://soap.sklep/", "odczytajJednoZamowienie");
    private final static QName _OdczytajJednoZamowienieResponse_QNAME = new QName("http://soap.sklep/", "odczytajJednoZamowienieResponse");
    private final static QName _OdczytajWszystkichKlientow_QNAME = new QName("http://soap.sklep/", "odczytajWszystkichKlientow");
    private final static QName _OdczytajWszystkichKlientowResponse_QNAME = new QName("http://soap.sklep/", "odczytajWszystkichKlientowResponse");
    private final static QName _OdczytajWszystkieProdukty_QNAME = new QName("http://soap.sklep/", "odczytajWszystkieProdukty");
    private final static QName _OdczytajWszystkieProduktyResponse_QNAME = new QName("http://soap.sklep/", "odczytajWszystkieProduktyResponse");
    private final static QName _OdczytajWszystkieZamowienia_QNAME = new QName("http://soap.sklep/", "odczytajWszystkieZamowienia");
    private final static QName _OdczytajWszystkieZamowieniaResponse_QNAME = new QName("http://soap.sklep/", "odczytajWszystkieZamowieniaResponse");
    private final static QName _ProduktyWgCeny_QNAME = new QName("http://soap.sklep/", "produktyWgCeny");
    private final static QName _ProduktyWgCenyResponse_QNAME = new QName("http://soap.sklep/", "produktyWgCenyResponse");
    private final static QName _ZapiszProdukt_QNAME = new QName("http://soap.sklep/", "zapiszProdukt");
    private final static QName _ZapiszProduktResponse_QNAME = new QName("http://soap.sklep/", "zapiszProduktResponse");
    private final static QName _DBException_QNAME = new QName("http://soap.sklep/", "DBException");
    private final static QName _RecordNotFound_QNAME = new QName("http://soap.sklep/", "RecordNotFound");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: sklep.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Order }
     * 
     */
    public Order createOrder() {
        return new Order();
    }

    /**
     * Create an instance of {@link Foto }
     * 
     */
    public Foto createFoto() {
        return new Foto();
    }

    /**
     * Create an instance of {@link FotoResponse }
     * 
     */
    public FotoResponse createFotoResponse() {
        return new FotoResponse();
    }

    /**
     * Create an instance of {@link OdczytajJedenProdukt }
     * 
     */
    public OdczytajJedenProdukt createOdczytajJedenProdukt() {
        return new OdczytajJedenProdukt();
    }

    /**
     * Create an instance of {@link OdczytajJedenProduktResponse }
     * 
     */
    public OdczytajJedenProduktResponse createOdczytajJedenProduktResponse() {
        return new OdczytajJedenProduktResponse();
    }

    /**
     * Create an instance of {@link OdczytajJednegoKlienta }
     * 
     */
    public OdczytajJednegoKlienta createOdczytajJednegoKlienta() {
        return new OdczytajJednegoKlienta();
    }

    /**
     * Create an instance of {@link OdczytajJednegoKlientaResponse }
     * 
     */
    public OdczytajJednegoKlientaResponse createOdczytajJednegoKlientaResponse() {
        return new OdczytajJednegoKlientaResponse();
    }

    /**
     * Create an instance of {@link OdczytajJednoZamowienie }
     * 
     */
    public OdczytajJednoZamowienie createOdczytajJednoZamowienie() {
        return new OdczytajJednoZamowienie();
    }

    /**
     * Create an instance of {@link OdczytajJednoZamowienieResponse }
     * 
     */
    public OdczytajJednoZamowienieResponse createOdczytajJednoZamowienieResponse() {
        return new OdczytajJednoZamowienieResponse();
    }

    /**
     * Create an instance of {@link OdczytajWszystkichKlientow }
     * 
     */
    public OdczytajWszystkichKlientow createOdczytajWszystkichKlientow() {
        return new OdczytajWszystkichKlientow();
    }

    /**
     * Create an instance of {@link OdczytajWszystkichKlientowResponse }
     * 
     */
    public OdczytajWszystkichKlientowResponse createOdczytajWszystkichKlientowResponse() {
        return new OdczytajWszystkichKlientowResponse();
    }

    /**
     * Create an instance of {@link OdczytajWszystkieProdukty }
     * 
     */
    public OdczytajWszystkieProdukty createOdczytajWszystkieProdukty() {
        return new OdczytajWszystkieProdukty();
    }

    /**
     * Create an instance of {@link OdczytajWszystkieProduktyResponse }
     * 
     */
    public OdczytajWszystkieProduktyResponse createOdczytajWszystkieProduktyResponse() {
        return new OdczytajWszystkieProduktyResponse();
    }

    /**
     * Create an instance of {@link OdczytajWszystkieZamowienia }
     * 
     */
    public OdczytajWszystkieZamowienia createOdczytajWszystkieZamowienia() {
        return new OdczytajWszystkieZamowienia();
    }

    /**
     * Create an instance of {@link OdczytajWszystkieZamowieniaResponse }
     * 
     */
    public OdczytajWszystkieZamowieniaResponse createOdczytajWszystkieZamowieniaResponse() {
        return new OdczytajWszystkieZamowieniaResponse();
    }

    /**
     * Create an instance of {@link ProduktyWgCeny }
     * 
     */
    public ProduktyWgCeny createProduktyWgCeny() {
        return new ProduktyWgCeny();
    }

    /**
     * Create an instance of {@link ProduktyWgCenyResponse }
     * 
     */
    public ProduktyWgCenyResponse createProduktyWgCenyResponse() {
        return new ProduktyWgCenyResponse();
    }

    /**
     * Create an instance of {@link ZapiszProdukt }
     * 
     */
    public ZapiszProdukt createZapiszProdukt() {
        return new ZapiszProdukt();
    }

    /**
     * Create an instance of {@link ZapiszProduktResponse }
     * 
     */
    public ZapiszProduktResponse createZapiszProduktResponse() {
        return new ZapiszProduktResponse();
    }

    /**
     * Create an instance of {@link DBException }
     * 
     */
    public DBException createDBException() {
        return new DBException();
    }

    /**
     * Create an instance of {@link RecordNotFound }
     * 
     */
    public RecordNotFound createRecordNotFound() {
        return new RecordNotFound();
    }

    /**
     * Create an instance of {@link Product }
     * 
     */
    public Product createProduct() {
        return new Product();
    }

    /**
     * Create an instance of {@link Customer }
     * 
     */
    public Customer createCustomer() {
        return new Customer();
    }

    /**
     * Create an instance of {@link OrderProduct }
     * 
     */
    public OrderProduct createOrderProduct() {
        return new OrderProduct();
    }

    /**
     * Create an instance of {@link Order.Products }
     * 
     */
    public Order.Products createOrderProducts() {
        return new Order.Products();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "foto")
    public JAXBElement<Foto> createFoto(Foto value) {
        return new JAXBElement<Foto>(_Foto_QNAME, Foto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "fotoResponse")
    public JAXBElement<FotoResponse> createFotoResponse(FotoResponse value) {
        return new JAXBElement<FotoResponse>(_FotoResponse_QNAME, FotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajJedenProdukt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajJedenProdukt }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajJedenProdukt")
    public JAXBElement<OdczytajJedenProdukt> createOdczytajJedenProdukt(OdczytajJedenProdukt value) {
        return new JAXBElement<OdczytajJedenProdukt>(_OdczytajJedenProdukt_QNAME, OdczytajJedenProdukt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajJedenProduktResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajJedenProduktResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajJedenProduktResponse")
    public JAXBElement<OdczytajJedenProduktResponse> createOdczytajJedenProduktResponse(OdczytajJedenProduktResponse value) {
        return new JAXBElement<OdczytajJedenProduktResponse>(_OdczytajJedenProduktResponse_QNAME, OdczytajJedenProduktResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajJednegoKlienta }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajJednegoKlienta }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajJednegoKlienta")
    public JAXBElement<OdczytajJednegoKlienta> createOdczytajJednegoKlienta(OdczytajJednegoKlienta value) {
        return new JAXBElement<OdczytajJednegoKlienta>(_OdczytajJednegoKlienta_QNAME, OdczytajJednegoKlienta.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajJednegoKlientaResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajJednegoKlientaResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajJednegoKlientaResponse")
    public JAXBElement<OdczytajJednegoKlientaResponse> createOdczytajJednegoKlientaResponse(OdczytajJednegoKlientaResponse value) {
        return new JAXBElement<OdczytajJednegoKlientaResponse>(_OdczytajJednegoKlientaResponse_QNAME, OdczytajJednegoKlientaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajJednoZamowienie }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajJednoZamowienie }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajJednoZamowienie")
    public JAXBElement<OdczytajJednoZamowienie> createOdczytajJednoZamowienie(OdczytajJednoZamowienie value) {
        return new JAXBElement<OdczytajJednoZamowienie>(_OdczytajJednoZamowienie_QNAME, OdczytajJednoZamowienie.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajJednoZamowienieResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajJednoZamowienieResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajJednoZamowienieResponse")
    public JAXBElement<OdczytajJednoZamowienieResponse> createOdczytajJednoZamowienieResponse(OdczytajJednoZamowienieResponse value) {
        return new JAXBElement<OdczytajJednoZamowienieResponse>(_OdczytajJednoZamowienieResponse_QNAME, OdczytajJednoZamowienieResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkichKlientow }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkichKlientow }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajWszystkichKlientow")
    public JAXBElement<OdczytajWszystkichKlientow> createOdczytajWszystkichKlientow(OdczytajWszystkichKlientow value) {
        return new JAXBElement<OdczytajWszystkichKlientow>(_OdczytajWszystkichKlientow_QNAME, OdczytajWszystkichKlientow.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkichKlientowResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkichKlientowResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajWszystkichKlientowResponse")
    public JAXBElement<OdczytajWszystkichKlientowResponse> createOdczytajWszystkichKlientowResponse(OdczytajWszystkichKlientowResponse value) {
        return new JAXBElement<OdczytajWszystkichKlientowResponse>(_OdczytajWszystkichKlientowResponse_QNAME, OdczytajWszystkichKlientowResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieProdukty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieProdukty }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajWszystkieProdukty")
    public JAXBElement<OdczytajWszystkieProdukty> createOdczytajWszystkieProdukty(OdczytajWszystkieProdukty value) {
        return new JAXBElement<OdczytajWszystkieProdukty>(_OdczytajWszystkieProdukty_QNAME, OdczytajWszystkieProdukty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieProduktyResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieProduktyResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajWszystkieProduktyResponse")
    public JAXBElement<OdczytajWszystkieProduktyResponse> createOdczytajWszystkieProduktyResponse(OdczytajWszystkieProduktyResponse value) {
        return new JAXBElement<OdczytajWszystkieProduktyResponse>(_OdczytajWszystkieProduktyResponse_QNAME, OdczytajWszystkieProduktyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieZamowienia }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieZamowienia }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajWszystkieZamowienia")
    public JAXBElement<OdczytajWszystkieZamowienia> createOdczytajWszystkieZamowienia(OdczytajWszystkieZamowienia value) {
        return new JAXBElement<OdczytajWszystkieZamowienia>(_OdczytajWszystkieZamowienia_QNAME, OdczytajWszystkieZamowienia.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieZamowieniaResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieZamowieniaResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "odczytajWszystkieZamowieniaResponse")
    public JAXBElement<OdczytajWszystkieZamowieniaResponse> createOdczytajWszystkieZamowieniaResponse(OdczytajWszystkieZamowieniaResponse value) {
        return new JAXBElement<OdczytajWszystkieZamowieniaResponse>(_OdczytajWszystkieZamowieniaResponse_QNAME, OdczytajWszystkieZamowieniaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktyWgCeny }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktyWgCeny }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktyWgCeny")
    public JAXBElement<ProduktyWgCeny> createProduktyWgCeny(ProduktyWgCeny value) {
        return new JAXBElement<ProduktyWgCeny>(_ProduktyWgCeny_QNAME, ProduktyWgCeny.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktyWgCenyResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktyWgCenyResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktyWgCenyResponse")
    public JAXBElement<ProduktyWgCenyResponse> createProduktyWgCenyResponse(ProduktyWgCenyResponse value) {
        return new JAXBElement<ProduktyWgCenyResponse>(_ProduktyWgCenyResponse_QNAME, ProduktyWgCenyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszProdukt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszProdukt }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszProdukt")
    public JAXBElement<ZapiszProdukt> createZapiszProdukt(ZapiszProdukt value) {
        return new JAXBElement<ZapiszProdukt>(_ZapiszProdukt_QNAME, ZapiszProdukt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszProduktResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszProduktResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszProduktResponse")
    public JAXBElement<ZapiszProduktResponse> createZapiszProduktResponse(ZapiszProduktResponse value) {
        return new JAXBElement<ZapiszProduktResponse>(_ZapiszProduktResponse_QNAME, ZapiszProduktResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "DBException")
    public JAXBElement<DBException> createDBException(DBException value) {
        return new JAXBElement<DBException>(_DBException_QNAME, DBException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "RecordNotFound")
    public JAXBElement<RecordNotFound> createRecordNotFound(RecordNotFound value) {
        return new JAXBElement<RecordNotFound>(_RecordNotFound_QNAME, RecordNotFound.class, null, value);
    }

}
